com.r3corda.contracts / CommercialPaperLegacy / State

# State

`data class State : OwnableState`

### Constructors

<init> | `State(issuance: PartyAndReference, owner: PublicKey, faceValue: Amount<Issued<Currency>>, maturityDate: Instant)`

### Properties

contract | `val contract: CommercialPaperLegacy` An instance of the contract class that will verify this state.
faceValue | `val faceValue: Amount<Issued<Currency>>`
issuance | `val issuance: PartyAndReference`
maturityDate | `val maturityDate: Instant`
owner | `val owner: PublicKey` There must be a MoveCommand signed by this key to claim the amount
participants | `val participants: <ERROR CLASS>` A participant is any party that is able to consume this state in a valid transaction.

### Functions

toString | `fun toString(): String`
withFaceValue | `fun withFaceValue(newFaceValue: Amount<Issued<Currency>>): <ERROR CLASS>`
withIssuance | `fun withIssuance(newIssuance: PartyAndReference): <ERROR CLASS>`
withMaturityDate | `fun withMaturityDate(newMaturityDate: Instant): <ERROR CLASS>`
withNewOwner | `fun withNewOwner(newOwner: PublicKey): <ERROR CLASS>` Copies the underlying data structure, replacing the owner field with this new value and leaving the rest alone
withOwner | `fun withOwner(newOwner: PublicKey): <ERROR CLASS>`
withoutOwner | `fun withoutOwner(): State`